<template>
     <Scroll-Picker
          @input="selValue"
          :options="options"
          empty="無篩選結果"
          :value="initValue"
     ></Scroll-Picker>
</template>

<script lang='ts'>
import { Vue, Component, Prop, Emit } from 'nuxt-property-decorator';

@Component
export default class UiScrollPicker extends Vue {
     // https://reposhub.com/vuejs/form-input/wan2land-vue-scroll-picker.html

     @Prop()
     options!: string[];

     @Prop()
     initValue!: string;

     @Emit('change')
     selValue(value: string) {
          return value
     }

}
</script>
